# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::HTMLFrameSetElement Class Reference

Create a grid of frames. More...

`#include <html_base.h>`

Inheritance diagram for DOM::HTMLFrameSetElement:

[legend]
Collaboration diagram for DOM::HTMLFrameSetElement:

[legend]
List of all members.

## Public Member Functions

| HTMLFrameSetElement (const HTMLFrameSetElement &other)
| HTMLFrameSetElement (const Node &other)
HTMLFrameSetElement & | operator= (const HTMLFrameSetElement &other)
HTMLFrameSetElement & | operator= (const Node &other)
DOMString | cols () const
void | setCols (const DOMString &)
DOMString | rows () const
void | setRows (const DOMString &)

## Protected Member Functions

| HTMLFrameSetElement (HTMLFrameSetElementImpl *impl)

## Detailed Description

Create a grid of frames.

See the FRAMESET element definition in HTML 4.0.

Definition at line 309 of file html_base.h.

## Member Function Documentation

DOMString HTMLFrameSetElement::cols | ( |  | ) | const

| The number of columns of frames in the frameset. See the cols attribute definition in HTML 4.0. Definition at line 430 of file html_base.cpp.

void HTMLFrameSetElement::setCols | ( | const DOMString & |  | ) |

| see cols Definition at line 436 of file html_base.cpp.

DOMString HTMLFrameSetElement::rows | ( |  | ) | const

| The number of rows of frames in the frameset. See the rows attribute definition in HTML 4.0. Definition at line 441 of file html_base.cpp.

void HTMLFrameSetElement::setRows | ( | const DOMString & |  | ) |

| see rows Definition at line 447 of file html_base.cpp.

The documentation for this class was generated from the following files:

- html_base.h
- html_base.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:33:54 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003